package _VisualDVM.GlobalData.CompilerEnvironment.UI;
import Common.MainModule_;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.Tables.EditorDBObject;
import Common.Visual.UI;
import Common.Visual.Windows.Dialog.Text.ComboTextDialog;
import _VisualDVM.GlobalData.CompilerEnvironment.CompilerEnvironment;
public class CompilerEnvironmentValueEditor extends EditorDBObject<CompilerEnvironment> {
    @Override
    public void Action() {
        setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.Hyperlink));
        setText(value.value.isEmpty() ? "не задано" : value.value);
        //-
        ComboTextDialog dialog = new ComboTextDialog() {
            @Override
            public void validateFields() {
                super.validateFields();
                if (fields.getSelectedItem() != null)
                    value.validate(Log, fields.getSelectedItem().toString());
            }
        };
        dialog.fields.setEditable(value.valueVariants.isEmpty());
        if (!value.value.isEmpty())
            UI.TrySelect(dialog.fields, value.value);
        if (dialog.ShowDialog("Изменить значение опции " + value.name,
                value.valueVariants
        )) {
            value.value = dialog.Result;
            setText(value.value.isEmpty() ? "не задано" : value.value);
        }
    }
    @Override
    public Object getCellEditorValue() {
        return value.value;
    }
}
